@charset "UTF-8";

* {
  margin:0;
  padding: 0;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}


img {
  max-width: 100%;
  height: auto;
}

body {
  margin: 0;
  font-family:
    'Hiragino Mincho ProN',
    'Yu Mincho',
    'YuMincho',
    'MS PMincho',
    serif;
  color: rgba(21, 57, 12, 1);
  overflow-x: hidden;
}


.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  width: 18%; 
  height: 100vh;
  text-align: center;
  border-right: 0.5px solid #ddd;
}


.sidebar nav ul{
  list-style: none;
  text-align: left;
  margin-left: 15%;

}

.sidebar nav ul li{
     margin: 10% 0;
}

.sidebar nav ul li a{
  display: flex;
  align-items: center;
  text-decoration: none;
  color: rgba(21, 57, 12, 1);
 font-size: clamp(0.813rem, 0.557rem + 1.05vw, 1.5rem);  /* 13-24px */
  background-image: linear-gradient(#000, #000);
  background-repeat: no-repeat;
  background-position: bottom right; /* 下線の初期位置 */
  background-size: 0 1px; /* 下線のサイズ（横幅、高さ） */
  transition: background-size 0.3s;
}

.sidebar nav ul li a:hover{
  background-position: bottom left; /* 下線のホバー時位置 */
  background-size: 50% 1px; /* 下線の横幅を100%にする */
}




.sidebar nav img{
width: 1.2em; 
}




.logo{
  margin-bottom: 80px;
  overflow: hidden;
}

.logo img{
  width: 90%;
  text-align: center;
  transform:scale(1.0);
   transition: transform 0.6s ease;   /* ← ここに書く */

}

.logo img:hover{
	transform:scale(0.95);
	transition:0.6s;
}

.Gallery_box {
  width: 81%;
  margin-left: auto;
  padding-right:1%;
  margin-top: 1%;

}

.FV_img {
  position: relative;
  width: 100%;
  height: 800px; /* 高さは好みに調整 */
  overflow: hidden;
}



.FV_img img{
position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 1.5s ease; /* フェード時間 */
  
}

.FV_img img.active {
  opacity: 1;
  z-index: 1;
}



.photo img{
  width: 98%;
  margin: 1%;
}

h2{
  margin: 5% 0 3% 0.5%;
}

.photo-box {
  display:flex;
  flex-wrap: wrap;
  gap: 10px;
  text-align: center;
  margin: 0 auto;
}

.photo {
  position: relative;
  overflow: hidden;
  cursor: pointer;
  width: calc(50% - 5px);

  
}

.photo img {
  width: 100%;
  display: block;
  transition: transform 0.3s ease;
}

.photo:hover img {
  transform: scale(1.05);
  filter: brightness(70%);
}

.caption {
  position: absolute;
  bottom: 10px;
  left: 10px;
  color: white;
  font-size: 14px;
  opacity: 0;
  transition: opacity 0.3s ease;
  
}

.photo:hover .caption {
  opacity: 1;
}



.modal {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.9);
  z-index: 9999;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 40px 20px;
}

.modal.active {
  display: flex;
}


.modal-content {
  width: 90vw;
  height: 90vh;
  object-fit: contain;
}

.modal-caption {
  color: #fff;
  margin-top: 20px;
  text-align: center;
  font-size: clamp(0.9rem, 1vw, 1.4rem);
  max-width: 90vw;
}

.close, .prev, .next {
  color: white;
  position: absolute;
  top: 50%;
  font-size: 2em;
  cursor: pointer;
  user-select: none;
}

.close {
  top: 20px;
  right: 30px;
  font-size: 2.5em;
}

.prev {
  left: 30px;
  transform: translateY(-50%);
}

.next {
  right: 30px;
  transform: translateY(-50%);
}

.small{
  width: 100%;
  text-align: center;
  background-color: rgb(0, 31, 0);
  color: #fff;
  padding: 0.3% 0;
  margin-top: 10%;
  font-size: 0.7rem;

}

/* コンテスト */



.contest_box{
  width: 83%;
  margin-left: auto;
  padding-right:1%;
  margin-top: 1%;
  font-size: clamp(0.75rem, 0.564rem + 0.76vw, 1.25rem);  /* 12-20px */


}



.contest_box h1,.contest_box h2,.contest_box h3,.contest_box p{
  width: 100%;
  margin: 3% 0;
  text-align: center;
}

.contest_box h1{
  margin: 5% 0;
}

.contest_box h2{
  margin-top: 15%;
  margin-bottom: 1%;
 font-size: clamp(0.813rem, 0.557rem + 1.05vw, 1.5rem);  /* 15-24px */

}

.boder{
  border-bottom:1px solid  #323232 ;
  width: 50%;
  margin:  0 auto;
}

.contest_box p{
  margin-top: 1%;
  font-size: clamp(0.813rem, 0.557rem + 1.05vw, 1.5rem);  /* 15-24px */


}

.location{
  width: 40%;
  text-align: center;
  display: flex;
  margin: 2% auto;
}

.map{
  text-align: center;
  width: 100%; 
  align-items:center;
}

.calendar{
  text-align: center;
  width: 100%;
  align-items:center;

}


.map img,.calendar img{
  width: 8%;
  margin: 0 2% ;
  vertical-align:text-bottom;
}






.contest_photo {
  position: relative;
  cursor: pointer;
  overflow: hidden;
  margin: 0 auto;
}


.contest_photo img {
  width: 100%;
  height: auto; 
  display: block;
  transition: 0.4s ease;
}

.contest_photo::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0);
  transition: 0.4s ease;
}

.contest_photo:hover::after {
  background: rgba(0,0,0,0.5);
}

.contest_photo .caption {
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  color: white;
  font-size: 14px;
  opacity: 0;
  transition: 0.4s ease;
  z-index: 2;
}

.contest_photo:hover .caption {
  opacity: 1;
}

/* プロフィール */




.profile_box{
  width: 83%;
  margin-left: auto;
  margin-top: 1%;
}

.profile_box h1{
  margin: 5% auto;
  text-align: center;

}
.profile_box h1 span{
  font-size: 12px;
  letter-spacing: 0.6em;

}

.profile_text{
  margin: 5% auto;
  width: 70%;

 
}

.profile_img{
  width: 100%;
  margin: 3% auto;
  text-align: center;
}

.boder_profile{
  border-bottom:1px solid  #323232 ;
  width: 30%;
  margin:  10% auto;
}

.profile_box p{
  text-align: center;
  margin-bottom: 10%;
  font-size: clamp(0.875rem, 0.782rem + 0.38vw, 1.125rem);  /* 13-18px */
  font-weight: 200;
  line-height: 2.0;
 
}

.camera ul {
  text-align: center;
  list-style: none;
  line-height: 2.2;
}

.pixta,.camera,.contact,.design{
  text-align: center;
  margin: 0 auto;
  width: 100%;
  margin:  160px 0 160px;
  text-align: center;
  font-size: clamp(0.875rem, 0.782rem + 0.38vw, 1.125rem);  /* 13-18px */
}

.pixta h2,.camera h2,.contact h2,.design h2{
  margin: 5% auto;
  font-size: clamp(0.813rem, 0.557rem + 1.05vw, 1.5rem);  /* 15-24px */
  color:rgba(21, 57, 12, 1);
  font-weight: 600;
  letter-spacing: .1em;
  text-align: center;
  line-height: 50px;
  width: 30%;
  height: 50px;
  background: #FFF;
  border:1px solid rgba(21, 57, 12, 1);
  position: relative;
  display: block;
  overflow: hidden;
  border-radius: 100px;
}



.pixta p{
  margin: 2% auto;

}


/* ブログ */

.blog_box{
  width: 83%;
  margin-left: auto;
  padding-right:1%;
  font-size: clamp(0.75rem, 0.564rem + 0.76vw, 1.25rem);  /* 12-20px */
}

.blog_box p{
  text-align: center;
   font-size: clamp(1.5rem, 1.314rem + 0.76vw, 2rem);  /* 24-32px */
   font-weight: bold;
   margin: 20% 0;
   padding-bottom: 50%;
}






/* トップページボタン */




.page-top {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: right;
  right: 1%;
  bottom: 5%;
  cursor: pointer;
  opacity: 0;
  visibility: hidden;
  border: 0;
  background: none;
  transition: .2s;
  margin: 0;
}

.page-top img{
  width: 50px;
  writing-mode: vertical-rl;
  text-decoration: none;
  margin: 0;
  text-align: right;
}

.page-top img:before {
    content: "";
    position: absolute;
    top: 2px;
    right: -5px;
    width: 2px;
    height: 20px;
    background: rgba(21, 57, 12, 0.8);
    transform: skewX(-150deg);
}

.page-top img:after {
    content: "";
    position: absolute;
    bottom: 0px;
    right: 0;
    width: 2px;
    height: 85px;
    background: rgba(21, 57, 12, 0.8);
}

.is-active {
  opacity: 1;
  visibility: visible;
}


/* バックボタン */

.btn_box{
  width: 100%;
  margin: 80px 0 120px;
  text-align: center;
}

.btn{
  color:#FFF;
  font-size: 16px;
  font-weight: 600;
  letter-spacing: .1em;
  text-align: center;
  line-height: 50px;
  width: 220px;
  height: 50px;
  background:rgba(21, 57, 12, 1);
  margin: 0 auto;
  border:1px solid rgba(21, 57, 12, 1);
  position: relative;
  display: block;
  overflow: hidden;
  transition: 0.5s;
  border-radius: 100px;
  text-decoration: none;
}

.btn .icon {
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto;
  background: rgba(21, 57, 12, 1);
}

.btn .icon.arrow {
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  left: 0.625rem;
  width: 1.125rem;
  height: 0.1rem;
  background: none;
}

.btn .icon.arrow::before {
  position: absolute;
  content: "";
  top: -0.3rem;
  right: 0.0625rem;
  width: 0.625rem;
  height: 0.625rem;
  border-top: 0.125rem solid #fff;
  border-right: 0.125rem solid #fff;
  transform: rotate(45deg);
}


.btn:hover .icon.arrow {
  background: #fff;
  transform: translate(1rem, 0);
}

/* スクロール */

.fadein {
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 1s ease, transform 1s ease;
}

.fadein.active {
  opacity: 1;
  transform: translateY(0);
}

.hamburger {
  display: none;
;
}

.design p a{
  text-decoration: none;
  color:rgba(21, 57, 12, 1);
  transition: transform 0.3s;
   display: inline-block;
}
.design p a:hover{
  transform: translateY(4px);

}


/* ===========================
   タブレット（～1024px）
=========================== */



@media (max-width: 64em) { /* 1024px */



  .sidebar {
    position: relative;
    height: auto;
    border-right: none;
    border-bottom: 0.1%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
   padding-right: 2%;
    box-sizing: border-box;
  }

  .sidebar nav{
  display: none;
}


  .logo {
    width: 15%;
    margin-bottom: 0;
    margin-left: 3%;
  }

  .Gallery_box,
  .contest_box,
  .profile_box,
  .blog_box{
    margin:0 auto;
    width: 98%;
    padding: 0;
 
  }

  .photo {
    width: 48%;   /* ← 2列維持 */
  }

  .FV_img {
    height: 65vh;
  }



/* ハンバーガー */

.hamburger {
  display: block;
  width: 32px;
  height: 24px;
  flex-shrink: 0;
  margin-left: auto;
  cursor: pointer;
  z-index: 10001; /* navより前に */
  }

  .hamburger span {
    display: block;
    height: 2px;
    background: rgba(21, 57, 12, 1);
    margin: 8px 0px;
    transition: 0.4s;
  }

.hamburger.active span:nth-child(2) {
  opacity: 0;
}


.hamburger.active span:nth-child(1) {
  transform: translateY(10px) rotate(45deg);
}

.hamburger.active span:nth-child(3) {
  transform: translateY(-10px) rotate(-45deg);
}


.sidebar nav.active {
  position: fixed;
  inset: 0;
  background: rgba(255,255,255,0.95);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10000;
  opacity: 1;
  pointer-events: auto;

}

.sidebar nav.active ul {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.sidebar nav ul li{
    margin: 10% 0;
    font-size: clamp(1.4rem, 5vw, 2.2rem);
    letter-spacing: 0.1em;
}

.sidebar nav {
  opacity: 0;
  pointer-events: none;
  transition: 0.3s;
  text-align: center;
}


}


/* ===========================
   スマホ（～600px）
=========================== */
@media (max-width: 37.5em) { /* 600px */

  body {
    font-size: clamp(0.688rem, 0.595rem + 0.38vw, 0.938rem);  /* 11-15px */

  }

  .sidebar {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 0;
    padding: 3%;
    box-sizing: border-box;

}

.sidebar nav{
  display: none;
}


  .sidebar h1{
    margin: 1%;
    text-align: right;

  }

  .logo {
    width: 15%;
    text-align: center;
    margin-top: 2%;
  }

  .sidebar nav ul {
    justify-content: center;
    flex-wrap: wrap;
    margin: 1% auto;
  }


  .sidebar nav ul li a {
    font-size: clamp(0.9rem, 4vw, 1.1rem);
  }

  /* ギャラリーはスマホでも2列 */
  .photo {
    width: 48%;
  }

  .FV_img {
    height: 35vh;
    
  }

  .FV_img img{
    height: auto;
  }
  

  .location {
    width: 100%;
    gap: 2%;
    margin-bottom:30%;

  }

  .map img,
  .calendar img {
    width: 12%;
  }

  .modal-content {
    width: 95vw;
    height: 80vh;
  }

  button {
    right: 5%;
    bottom: 3%;
  }

  button p {
    height: 8vh;
    letter-spacing: 0.3em;
  }

/* ハンバーガー */

.hamburger {
    display: block;
    margin-left: auto;
    width: auto;
    cursor: pointer;
    z-index: 10001; /* navより前に */
  }


  .hamburger span {
  display: block;
  width: 28px;   /* ← これ */
  height: 2px;
  background: rgba(21, 57, 12, 1);
  margin: 6px 0;
  transition: 0.4s;
  }

.hamburger.active span:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

.sidebar nav.active {
  position: fixed;
  inset: 0;
  background: rgba(255,255,255,0.95);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10000;
  opacity: 1;
  pointer-events: auto;

}

.sidebar nav.active ul {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 30px;
}

.sidebar nav ul li{
    margin: 10% 0;
    font-size: clamp(1.4rem, 5vw, 2.2rem);
    letter-spacing: 0.1em;
}

.sidebar nav {
  opacity: 0;
  pointer-events: none;
  transition: 0.3s;
}



  .FV_img{
    margin:0;
  }

  .profile_text{
    width: 95%;   
  }


  .profile_text p{
    font-weight: 100;
    text-align: left;

  }

.profile_box h1 span{
  letter-spacing: 0.1rem;
  font-size: 9px;

}
.boder{
  width: 85%;
  margin: 2% auto;

}





.boder_profile{
  margin: 10% auto;
}

.contest_photo{
  width: 90%;
}

.pixta h2,.camera h2,.contact h2,.design h2{
  width: 50%;
  height: 50px;
  text-align: center;
  margin: 10% auto;
}

.pixta,.camera,.contact,.design{
  margin: 20% auto;
}

.page-top{
  position: fixed;
  margin-left: auto;
}

.page-top img{
  width: 30px;

}

}
